searchData={"items":[{"type":"module","title":"GoogleApi.BigQueryReservation.V1","doc":"API client metadata for GoogleApi.BigQueryReservation.V1.","ref":"GoogleApi.BigQueryReservation.V1.html"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.discovery_revision/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_create/4","doc":"Creates a new capacity commitment resource.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_create/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_create/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the parent reservation. E.g., `projects/myproject/locations/US`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:capacityCommitmentId` (*type:* `String.t`) - The optional capacity commitment ID. Capacity commitment name will be generated automatically if this field is empty. This field must only contain lower case alphanumeric characters or dashes. The first and last character cannot be a dash. Max length is 64 characters. NOTE: this ID won't be kept if the capacity commitment is split or merged.\n    *   `:enforceSingleAdminProjectPerOrg` (*type:* `boolean()`) - If true, fail the request if another project in the organization has a capacity commitment.\n    *   `:body` (*type:* `GoogleApi.BigQueryReservation.V1.Model.CapacityCommitment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_create/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.CapacityCommitment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_create/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_delete/4","doc":"Deletes a capacity commitment. Attempting to delete capacity commitment before its commitment_end_time will fail with the error code `google.rpc.Code.FAILED_PRECONDITION`.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_delete/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_delete/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the capacity commitment to delete. E.g., `projects/myproject/locations/US/capacityCommitments/123`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - Can be used to force delete commitments even if assignments exist. Deleting commitments with assignments may cause queries to fail if they no longer have access to slots.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_delete/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_delete/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_get/4","doc":"Returns information about the capacity commitment.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_get/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_get/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the capacity commitment to retrieve. E.g., `projects/myproject/locations/US/capacityCommitments/123`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_get/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.CapacityCommitment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_get/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_list/4","doc":"Lists all the capacity commitments for the admin project.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_list/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_list/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the parent reservation. E.g., `projects/myproject/locations/US`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous List request, if any.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_list/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.ListCapacityCommitmentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_list/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_merge/4","doc":"Merges capacity commitments of the same plan into a single commitment. The resulting capacity commitment has the greater commitment_end_time out of the to-be-merged capacity commitments. Attempting to merge capacity commitments of different plan will fail with the error code `google.rpc.Code.FAILED_PRECONDITION`.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_merge/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_merge/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Parent resource that identifies admin project and location e.g., `projects/myproject/locations/us`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.BigQueryReservation.V1.Model.MergeCapacityCommitmentsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_merge/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_merge/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.CapacityCommitment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_merge/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_patch/4","doc":"Updates an existing capacity commitment. Only `plan` and `renewal_plan` fields can be updated. Plan can only be changed to a plan of a longer commitment period. Attempting to change to a plan with shorter commitment period will fail with the error code `google.rpc.Code.FAILED_PRECONDITION`.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_patch/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_patch/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. The resource name of the capacity commitment, e.g., `projects/myproject/locations/US/capacityCommitments/123` The commitment_id must only contain lower case alphanumeric characters or dashes. It must start with a letter and must not end with a dash. Its maximum length is 64 characters.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Standard field mask for the set of fields to be updated.\n    *   `:body` (*type:* `GoogleApi.BigQueryReservation.V1.Model.CapacityCommitment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_patch/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.CapacityCommitment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_patch/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_split/4","doc":"Splits capacity commitment to two commitments of the same plan and `commitment_end_time`. A common use case is to enable downgrading commitments. For example, in order to downgrade from 10000 slots to 8000, you might split a 10000 capacity commitment into commitments of 2000 and 8000. Then, you delete the first one after the commitment end time passes.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_split/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_split/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name e.g.,: `projects/myproject/locations/US/capacityCommitments/123`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_split/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_capacity_commitments_split/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_capacity_commitments_split/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_get_bi_reservation/4","doc":"Retrieves a BI reservation.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_get_bi_reservation/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_get_bi_reservation/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the requested reservation, for example: `projects/{project_id}/locations/{location_id}/biReservation`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_get_bi_reservation/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_get_bi_reservation/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.BiReservation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_get_bi_reservation/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_assignments_create/4","doc":"Creates an assignment object which allows the given project to submit jobs of a certain type using slots from the specified reservation. Currently a resource (project, folder, organization) can only have one assignment per each (job_type, location) combination, and that reservation will be used for all jobs of the matching type. Different assignments can be created on different levels of the projects, folders or organization hierarchy. During query execution, the assignment is looked up at the project, folder and organization levels in that order. The first assignment found is applied to the query. When creating assignments, it does not matter if other assignments exist at higher levels. Example: * The organization `organizationA` contains two projects, `project1` and `project2`. * Assignments for all three entities (`organizationA`, `project1`, and `project2`) could all be created and mapped to the same or different reservations. \"None\" assignments represent an absence of the assignment. Projects assigned to None use on-demand pricing. To create a \"None\" assignment, use \"none\" as a reservation_id in the parent. Example parent: `projects/myproject/locations/US/reservations/none`. Returns `google.rpc.Code.PERMISSION_DENIED` if user does not have 'bigquery.admin' permissions on the project using the reservation and the project that owns this reservation. Returns `google.rpc.Code.INVALID_ARGUMENT` when location of the assignment does not match location of the reservation.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_assignments_create/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_assignments_create/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent resource name of the assignment E.g. `projects/myproject/locations/US/reservations/team1-prod`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:assignmentId` (*type:* `String.t`) - The optional assignment ID. Assignment name will be generated automatically if this field is empty. This field must only contain lower case alphanumeric characters or dashes. Max length is 64 characters.\n    *   `:body` (*type:* `GoogleApi.BigQueryReservation.V1.Model.Assignment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_assignments_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_assignments_create/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.Assignment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_assignments_create/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_assignments_delete/4","doc":"Deletes a assignment. No expansion will happen. Example: * Organization `organizationA` contains two projects, `project1` and `project2`. * Reservation `res1` exists and was created previously. * CreateAssignment was used previously to define the following associations between entities and reservations: `` and `` In this example, deletion of the `` assignment won't affect the other assignment ``. After said deletion, queries from `project1` will still use `res1` while queries from `project2` will switch to use on-demand mode.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_assignments_delete/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_assignments_delete/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the resource, e.g. `projects/myproject/locations/US/reservations/team1-prod/assignments/123`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_assignments_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_assignments_delete/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_assignments_delete/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_assignments_list/4","doc":"Lists assignments. Only explicitly created assignments will be returned. Example: * Organization `organizationA` contains two projects, `project1` and `project2`. * Reservation `res1` exists and was created previously. * CreateAssignment was used previously to define the following associations between entities and reservations: `` and `` In this example, ListAssignments will just return the above two assignments for reservation `res1`, and no expansion/merge will happen. The wildcard \"-\" can be used for reservations in the request. In that case all assignments belongs to the specified project and location will be listed. **Note** \"-\" cannot be used for projects nor locations.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_assignments_list/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_assignments_list/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent resource name e.g.: `projects/myproject/locations/US/reservations/team1-prod` Or: `projects/myproject/locations/US/reservations/-`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return per page.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous List request, if any.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_assignments_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_assignments_list/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.ListAssignmentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_assignments_list/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_assignments_move/4","doc":"Moves an assignment under a new reservation. This differs from removing an existing assignment and recreating a new one by providing a transactional change that ensures an assignee always has an associated reservation.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_assignments_move/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_assignments_move/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the assignment, e.g. `projects/myproject/locations/US/reservations/team1-prod/assignments/123`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.BigQueryReservation.V1.Model.MoveAssignmentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_assignments_move/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_assignments_move/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.Assignment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_assignments_move/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_assignments_patch/4","doc":"Updates an existing assignment. Only the `priority` field can be updated.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_assignments_patch/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_assignments_patch/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. Name of the resource. E.g.: `projects/myproject/locations/US/reservations/team1-prod/assignments/123`. The assignment_id must only contain lower case alphanumeric characters or dashes and the max length is 64 characters.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Standard field mask for the set of fields to be updated.\n    *   `:body` (*type:* `GoogleApi.BigQueryReservation.V1.Model.Assignment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_assignments_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_assignments_patch/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.Assignment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_assignments_patch/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_create/4","doc":"Creates a new reservation resource.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_create/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_create/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Project, location. E.g., `projects/myproject/locations/US`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:reservationId` (*type:* `String.t`) - The reservation ID. It must only contain lower case alphanumeric characters or dashes. It must start with a letter and must not end with a dash. Its maximum length is 64 characters.\n    *   `:body` (*type:* `GoogleApi.BigQueryReservation.V1.Model.Reservation.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_create/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.Reservation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_create/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_delete/4","doc":"Deletes a reservation. Returns `google.rpc.Code.FAILED_PRECONDITION` when reservation has assignments.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_delete/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_delete/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the reservation to retrieve. E.g., `projects/myproject/locations/US/reservations/team1-prod`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_delete/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_delete/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_failover_reservation/4","doc":"Fail over a reservation to the secondary location. The operation should be done in the current secondary location, which will be promoted to the new primary location for the reservation. Attempting to failover a reservation in the current primary location will fail with the error code `google.rpc.Code.FAILED_PRECONDITION`.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_failover_reservation/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_failover_reservation/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the reservation to failover. E.g., `projects/myproject/locations/US/reservations/team1-prod`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.BigQueryReservation.V1.Model.FailoverReservationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_failover_reservation/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_failover_reservation/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.Reservation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_failover_reservation/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_get/4","doc":"Returns information about the reservation.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_get/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_get/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the reservation to retrieve. E.g., `projects/myproject/locations/US/reservations/team1-prod`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_get/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.Reservation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_get/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_list/4","doc":"Lists all the reservations for the project in the specified location.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_list/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_list/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent resource name containing project and location, e.g.: `projects/myproject/locations/US`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return per page.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous List request, if any.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_list/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.ListReservationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_list/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_patch/4","doc":"Updates an existing reservation resource.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_patch/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_patch/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource name of the reservation, e.g., `projects/*/locations/*/reservations/team1-prod`. The reservation_id must only contain lower case alphanumeric characters or dashes. It must start with a letter and must not end with a dash. Its maximum length is 64 characters.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Standard field mask for the set of fields to be updated.\n    *   `:body` (*type:* `GoogleApi.BigQueryReservation.V1.Model.Reservation.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_reservations_patch/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.Reservation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_reservations_patch/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_search_all_assignments/4","doc":"Looks up assignments for a specified resource for a particular region. If the request is about a project: 1. Assignments created on the project will be returned if they exist. 2. Otherwise assignments created on the closest ancestor will be returned. 3. Assignments for different JobTypes will all be returned. The same logic applies if the request is about a folder. If the request is about an organization, then assignments created on the organization will be returned (organization doesn't have ancestors). Comparing to ListAssignments, there are some behavior differences: 1. permission on the assignee will be verified in this API. 2. Hierarchy lookup (project->folder->organization) happens in this API. 3. Parent here is `projects/*/locations/*`, instead of `projects/*/locations/*reservations/*`.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_search_all_assignments/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_search_all_assignments/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name with location (project name could be the wildcard '-'), e.g.: `projects/-/locations/US`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return per page.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous List request, if any.\n    *   `:query` (*type:* `String.t`) - Please specify resource name as assignee in the query. Examples: * `assignee=projects/myproject` * `assignee=folders/123` * `assignee=organizations/456`\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_search_all_assignments/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_search_all_assignments/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.SearchAllAssignmentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_search_all_assignments/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_search_assignments/4","doc":"Deprecated: Looks up assignments for a specified resource for a particular region. If the request is about a project: 1. Assignments created on the project will be returned if they exist. 2. Otherwise assignments created on the closest ancestor will be returned. 3. Assignments for different JobTypes will all be returned. The same logic applies if the request is about a folder. If the request is about an organization, then assignments created on the organization will be returned (organization doesn't have ancestors). Comparing to ListAssignments, there are some behavior differences: 1. permission on the assignee will be verified in this API. 2. Hierarchy lookup (project->folder->organization) happens in this API. 3. Parent here is `projects/*/locations/*`, instead of `projects/*/locations/*reservations/*`. **Note** \"-\" cannot be used for projects nor locations.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_search_assignments/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_search_assignments/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the admin project(containing project and location), e.g.: `projects/myproject/locations/US`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return per page.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous List request, if any.\n    *   `:query` (*type:* `String.t`) - Please specify resource name as assignee in the query. Examples: * `assignee=projects/myproject` * `assignee=folders/123` * `assignee=organizations/456`\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_search_assignments/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_search_assignments/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.SearchAssignmentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_search_assignments/4-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_update_bi_reservation/4","doc":"Updates a BI reservation. Only fields specified in the `field_mask` are updated. A singleton BI reservation always exists with default size 0. In order to reserve BI capacity it needs to be updated to an amount greater than 0. In order to release BI capacity reservation size must be set to 0.","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_update_bi_reservation/4"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_update_bi_reservation/4","doc":"*   `connection` (*type:* `GoogleApi.BigQueryReservation.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource name of the singleton BI reservation. Reservation names have the form `projects/{project_id}/locations/{location_id}/biReservation`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - A list of fields to be updated in this request.\n    *   `:body` (*type:* `GoogleApi.BigQueryReservation.V1.Model.BiReservation.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_update_bi_reservation/4-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Api.Projects.bigqueryreservation_projects_locations_update_bi_reservation/4","doc":"*   `{:ok, %GoogleApi.BigQueryReservation.V1.Model.BiReservation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.BigQueryReservation.V1.Api.Projects.html#bigqueryreservation_projects_locations_update_bi_reservation/4-returns"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Connection","doc":"Handle Tesla connections for GoogleApi.BigQueryReservation.V1.","ref":"GoogleApi.BigQueryReservation.V1.Connection.html"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.BigQueryReservation.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.BigQueryReservation.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#new/1-returns"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#t:option/0"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.BigQueryReservation.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyword list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.BigQueryReservation.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#request!/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Connection.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#t:t/0"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.BigQueryReservation.V1.Connection.html#trace!/3"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.Assignment","doc":"An assignment allows a project to submit jobs of a certain type using slots from the specified reservation.","ref":"GoogleApi.BigQueryReservation.V1.Model.Assignment.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.Assignment","doc":"*   `assignee` (*type:* `String.t`, *default:* `nil`) - The resource which will use the reservation. E.g. `projects/myproject`, `folders/123`, or `organizations/456`.\n*   `enableGeminiInBigquery` (*type:* `boolean()`, *default:* `nil`) - Optional. This field controls if \"Gemini in BigQuery\" (https://cloud.google.com/gemini/docs/bigquery/overview) features should be enabled for this reservation assignment, which is not on by default. \"Gemini in BigQuery\" has a distinct compliance posture from BigQuery. If this field is set to true, the assignment job type is QUERY, and the parent reservation edition is ENTERPRISE_PLUS, then the assignment will give the grantee project/organization access to \"Gemini in BigQuery\" features.\n*   `jobType` (*type:* `String.t`, *default:* `nil`) - Which type of jobs will use the reservation.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Name of the resource. E.g.: `projects/myproject/locations/US/reservations/team1-prod/assignments/123`. The assignment_id must only contain lower case alphanumeric characters or dashes and the max length is 64 characters.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. State of the assignment.","ref":"GoogleApi.BigQueryReservation.V1.Model.Assignment.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.Assignment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.Assignment.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.Assignment.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.Assignment.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.Autoscale","doc":"Auto scaling settings.","ref":"GoogleApi.BigQueryReservation.V1.Model.Autoscale.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.Autoscale","doc":"*   `currentSlots` (*type:* `String.t`, *default:* `nil`) - Output only. The slot capacity added to this reservation when autoscale happens. Will be between [0, max_slots]. Note: after users reduce max_slots, it may take a while before it can be propagated, so current_slots may stay in the original value and could be larger than max_slots for that brief period (less than one minute)\n*   `maxSlots` (*type:* `String.t`, *default:* `nil`) - Number of slots to be scaled when needed.","ref":"GoogleApi.BigQueryReservation.V1.Model.Autoscale.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.Autoscale.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.Autoscale.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.Autoscale.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.Autoscale.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.BiReservation","doc":"Represents a BI Reservation.","ref":"GoogleApi.BigQueryReservation.V1.Model.BiReservation.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.BiReservation","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name of the singleton BI reservation. Reservation names have the form `projects/{project_id}/locations/{location_id}/biReservation`.\n*   `preferredTables` (*type:* `list(GoogleApi.BigQueryReservation.V1.Model.TableReference.t)`, *default:* `nil`) - Preferred tables to use BI capacity for.\n*   `size` (*type:* `String.t`, *default:* `nil`) - Size of a reservation, in bytes.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The last update timestamp of a reservation.","ref":"GoogleApi.BigQueryReservation.V1.Model.BiReservation.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.BiReservation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.BiReservation.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.BiReservation.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.BiReservation.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.CapacityCommitment","doc":"Capacity commitment is a way to purchase compute capacity for BigQuery jobs (in the form of slots) with some committed period of usage. Annual commitments renew by default. Commitments can be removed after their commitment end time passes. In order to remove annual commitment, its plan needs to be changed to monthly or flex first. A capacity commitment resource exists as a child resource of the admin project.","ref":"GoogleApi.BigQueryReservation.V1.Model.CapacityCommitment.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.CapacityCommitment","doc":"*   `commitmentEndTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The end of the current commitment period. It is applicable only for ACTIVE capacity commitments. Note after renewal, commitment_end_time is the time the renewed commitment expires. So itwould be at a time after commitment_start_time + committed period, because we don't change commitment_start_time ,\n*   `commitmentStartTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The start of the current commitment period. It is applicable only for ACTIVE capacity commitments. Note after the commitment is renewed, commitment_start_time won't be changed. It refers to the start time of the original commitment.\n*   `edition` (*type:* `String.t`, *default:* `nil`) - Edition of the capacity commitment.\n*   `failureStatus` (*type:* `GoogleApi.BigQueryReservation.V1.Model.Status.t`, *default:* `nil`) - Output only. For FAILED commitment plan, provides the reason of failure.\n*   `isFlatRate` (*type:* `boolean()`, *default:* `nil`) - Output only. If true, the commitment is a flat-rate commitment, otherwise, it's an edition commitment.\n*   `multiRegionAuxiliary` (*type:* `boolean()`, *default:* `nil`) - Applicable only for commitments located within one of the BigQuery multi-regions (US or EU). If set to true, this commitment is placed in the organization's secondary region which is designated for disaster recovery purposes. If false, this commitment is placed in the organization's default region. NOTE: this is a preview feature. Project must be allow-listed in order to set this field.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The resource name of the capacity commitment, e.g., `projects/myproject/locations/US/capacityCommitments/123` The commitment_id must only contain lower case alphanumeric characters or dashes. It must start with a letter and must not end with a dash. Its maximum length is 64 characters.\n*   `plan` (*type:* `String.t`, *default:* `nil`) - Capacity commitment commitment plan.\n*   `renewalPlan` (*type:* `String.t`, *default:* `nil`) - The plan this capacity commitment is converted to after commitment_end_time passes. Once the plan is changed, committed period is extended according to commitment plan. Only applicable for ANNUAL and TRIAL commitments.\n*   `slotCount` (*type:* `String.t`, *default:* `nil`) - Number of slots in this commitment.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. State of the commitment.","ref":"GoogleApi.BigQueryReservation.V1.Model.CapacityCommitment.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.CapacityCommitment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.CapacityCommitment.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.CapacityCommitment.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.CapacityCommitment.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.BigQueryReservation.V1.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.Empty","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.Empty.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.FailoverReservationRequest","doc":"The request for ReservationService.FailoverReservation.","ref":"GoogleApi.BigQueryReservation.V1.Model.FailoverReservationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.FailoverReservationRequest","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.FailoverReservationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.FailoverReservationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.FailoverReservationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.FailoverReservationRequest.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.FailoverReservationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.ListAssignmentsResponse","doc":"The response for ReservationService.ListAssignments.","ref":"GoogleApi.BigQueryReservation.V1.Model.ListAssignmentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.ListAssignmentsResponse","doc":"*   `assignments` (*type:* `list(GoogleApi.BigQueryReservation.V1.Model.Assignment.t)`, *default:* `nil`) - List of assignments visible to the user.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.BigQueryReservation.V1.Model.ListAssignmentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.ListAssignmentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.ListAssignmentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.ListAssignmentsResponse.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.ListAssignmentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.ListCapacityCommitmentsResponse","doc":"The response for ReservationService.ListCapacityCommitments.","ref":"GoogleApi.BigQueryReservation.V1.Model.ListCapacityCommitmentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.ListCapacityCommitmentsResponse","doc":"*   `capacityCommitments` (*type:* `list(GoogleApi.BigQueryReservation.V1.Model.CapacityCommitment.t)`, *default:* `nil`) - List of capacity commitments visible to the user.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.BigQueryReservation.V1.Model.ListCapacityCommitmentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.ListCapacityCommitmentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.ListCapacityCommitmentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.ListCapacityCommitmentsResponse.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.ListCapacityCommitmentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.ListReservationsResponse","doc":"The response for ReservationService.ListReservations.","ref":"GoogleApi.BigQueryReservation.V1.Model.ListReservationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.ListReservationsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `reservations` (*type:* `list(GoogleApi.BigQueryReservation.V1.Model.Reservation.t)`, *default:* `nil`) - List of reservations visible to the user.","ref":"GoogleApi.BigQueryReservation.V1.Model.ListReservationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.ListReservationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.ListReservationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.ListReservationsResponse.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.ListReservationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.MergeCapacityCommitmentsRequest","doc":"The request for ReservationService.MergeCapacityCommitments.","ref":"GoogleApi.BigQueryReservation.V1.Model.MergeCapacityCommitmentsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.MergeCapacityCommitmentsRequest","doc":"*   `capacityCommitmentId` (*type:* `String.t`, *default:* `nil`) - Optional. The optional resulting capacity commitment ID. Capacity commitment name will be generated automatically if this field is empty. This field must only contain lower case alphanumeric characters or dashes. The first and last character cannot be a dash. Max length is 64 characters.\n*   `capacityCommitmentIds` (*type:* `list(String.t)`, *default:* `nil`) - Ids of capacity commitments to merge. These capacity commitments must exist under admin project and location specified in the parent. ID is the last portion of capacity commitment name e.g., 'abc' for projects/myproject/locations/US/capacityCommitments/abc","ref":"GoogleApi.BigQueryReservation.V1.Model.MergeCapacityCommitmentsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.MergeCapacityCommitmentsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.MergeCapacityCommitmentsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.MergeCapacityCommitmentsRequest.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.MergeCapacityCommitmentsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.MoveAssignmentRequest","doc":"The request for ReservationService.MoveAssignment. **Note**: \"bigquery.reservationAssignments.create\" permission is required on the destination_id. **Note**: \"bigquery.reservationAssignments.create\" and \"bigquery.reservationAssignments.delete\" permission are required on the related assignee.","ref":"GoogleApi.BigQueryReservation.V1.Model.MoveAssignmentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.MoveAssignmentRequest","doc":"*   `assignmentId` (*type:* `String.t`, *default:* `nil`) - The optional assignment ID. A new assignment name is generated if this field is empty. This field can contain only lowercase alphanumeric characters or dashes. Max length is 64 characters.\n*   `destinationId` (*type:* `String.t`, *default:* `nil`) - The new reservation ID, e.g.: `projects/myotherproject/locations/US/reservations/team2-prod`","ref":"GoogleApi.BigQueryReservation.V1.Model.MoveAssignmentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.MoveAssignmentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.MoveAssignmentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.MoveAssignmentRequest.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.MoveAssignmentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.ReplicationStatus","doc":"Disaster Recovery(DR) replication status of the reservation.","ref":"GoogleApi.BigQueryReservation.V1.Model.ReplicationStatus.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.ReplicationStatus","doc":"*   `error` (*type:* `GoogleApi.BigQueryReservation.V1.Model.Status.t`, *default:* `nil`) - Output only. The last error encountered while trying to replicate changes from the primary to the secondary. This field is only available if the replication has not succeeded since.\n*   `lastErrorTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which the last error was encountered while trying to replicate changes from the primary to the secondary. This field is only available if the replication has not succeeded since.\n*   `lastReplicationTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. A timestamp corresponding to the last change on the primary that was successfully replicated to the secondary.","ref":"GoogleApi.BigQueryReservation.V1.Model.ReplicationStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.ReplicationStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.ReplicationStatus.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.ReplicationStatus.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.ReplicationStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.Reservation","doc":"A reservation is a mechanism used to guarantee slots to users.","ref":"GoogleApi.BigQueryReservation.V1.Model.Reservation.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.Reservation","doc":"*   `autoscale` (*type:* `GoogleApi.BigQueryReservation.V1.Model.Autoscale.t`, *default:* `nil`) - The configuration parameters for the auto scaling feature.\n*   `concurrency` (*type:* `String.t`, *default:* `nil`) - Job concurrency target which sets a soft upper bound on the number of jobs that can run concurrently in this reservation. This is a soft target due to asynchronous nature of the system and various optimizations for small queries. Default value is 0 which means that concurrency target will be automatically computed by the system. NOTE: this field is exposed as target job concurrency in the Information Schema, DDL and BigQuery CLI.\n*   `creationTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Creation time of the reservation.\n*   `edition` (*type:* `String.t`, *default:* `nil`) - Edition of the reservation.\n*   `ignoreIdleSlots` (*type:* `boolean()`, *default:* `nil`) - If false, any query or pipeline job using this reservation will use idle slots from other reservations within the same admin project. If true, a query or pipeline job using this reservation will execute with the slot capacity specified in the slot_capacity field at most.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Optional. The labels associated with this reservation. You can use these to organize and group your reservations. You can set this property when inserting or updating a reservation.\n*   `maxSlots` (*type:* `String.t`, *default:* `nil`) - Optional. The overall max slots for the reservation, covering slot_capacity (baseline), idle slots (if ignore_idle_slots is false) and scaled slots. If present, the reservation won't use more than the specified number of slots, even if there is demand and supply (from idle slots). NOTE: capping a reservation's idle slot usage is best effort and its usage may exceed the max_slots value. However, in terms of autoscale.current_slots (which accounts for the additional added slots), it will never exceed the max_slots - baseline. This field must be set together with the scaling_mode enum value, otherwise the request will be rejected with error code `google.rpc.Code.INVALID_ARGUMENT`. If the max_slots and scaling_mode are set, the autoscale or autoscale.max_slots field must be unset. Otherwise the request will be rejected with error code `google.rpc.Code.INVALID_ARGUMENT`. However, the autoscale field may still be in the output. The autopscale.max_slots will always show as 0 and the autoscaler.current_slots will represent the current slots from autoscaler excluding idle slots. For example, if the max_slots is 1000 and scaling_mode is AUTOSCALE_ONLY, then in the output, the autoscaler.max_slots will be 0 and the autoscaler.current_slots may be any value between 0 and 1000. If the max_slots is 1000, scaling_mode is ALL_SLOTS, the baseline is 100 and idle slots usage is 200, then in the output, the autoscaler.max_slots will be 0 and the autoscaler.current_slots will not be higher than 700. If the max_slots is 1000, scaling_mode is IDLE_SLOTS_ONLY, then in the output, the autoscaler field will be null. If the max_slots and scaling_mode are set, then the ignore_idle_slots field must be aligned with the scaling_mode enum value.(See details in ScalingMode comments). Otherwise the request will be rejected with error code `google.rpc.Code.INVALID_ARGUMENT`. Please note, the max_slots is for user to manage the part of slots greater than the baseline. Therefore, we don't allow users to set max_slots smaller or equal to the baseline as it will not be meaningful. If the field is present and slot_capacity>=max_slots, requests will be rejected with error code `google.rpc.Code.INVALID_ARGUMENT`. Please note that if max_slots is set to 0, we will treat it as unset. Customers can set max_slots to 0 and set scaling_mode to SCALING_MODE_UNSPECIFIED to disable the max_slots feature.\n*   `multiRegionAuxiliary` (*type:* `boolean()`, *default:* `nil`) - Applicable only for reservations located within one of the BigQuery multi-regions (US or EU). If set to true, this reservation is placed in the organization's secondary region which is designated for disaster recovery purposes. If false, this reservation is placed in the organization's default region. NOTE: this is a preview feature. Project must be allow-listed in order to set this field.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name of the reservation, e.g., `projects/*/locations/*/reservations/team1-prod`. The reservation_id must only contain lower case alphanumeric characters or dashes. It must start with a letter and must not end with a dash. Its maximum length is 64 characters.\n*   `originalPrimaryLocation` (*type:* `String.t`, *default:* `nil`) - Output only. The location where the reservation was originally created. This is set only during the failover reservation's creation. All billing charges for the failover reservation will be applied to this location.\n*   `primaryLocation` (*type:* `String.t`, *default:* `nil`) - Output only. The current location of the reservation's primary replica. This field is only set for reservations using the managed disaster recovery feature.\n*   `replicationStatus` (*type:* `GoogleApi.BigQueryReservation.V1.Model.ReplicationStatus.t`, *default:* `nil`) - Output only. The Disaster Recovery(DR) replication status of the reservation. This is only available for the primary replicas of DR/failover reservations and provides information about the both the staleness of the secondary and the last error encountered while trying to replicate changes from the primary to the secondary. If this field is blank, it means that the reservation is either not a DR reservation or the reservation is a DR secondary or that any replication operations on the reservation have succeeded.\n*   `scalingMode` (*type:* `String.t`, *default:* `nil`) - The scaling mode for the reservation. If the field is present but max_slots is not present, requests will be rejected with error code `google.rpc.Code.INVALID_ARGUMENT`.\n*   `secondaryLocation` (*type:* `String.t`, *default:* `nil`) - Optional. The current location of the reservation's secondary replica. This field is only set for reservations using the managed disaster recovery feature. Users can set this in create reservation calls to create a failover reservation or in update reservation calls to convert a non-failover reservation to a failover reservation(or vice versa).\n*   `slotCapacity` (*type:* `String.t`, *default:* `nil`) - Baseline slots available to this reservation. A slot is a unit of computational power in BigQuery, and serves as the unit of parallelism. Queries using this reservation might use more slots during runtime if ignore_idle_slots is set to false, or autoscaling is enabled. The total slot_capacity of the reservation and its siblings may exceed the total slot_count of capacity commitments. In that case, the exceeding slots will be charged with the autoscale SKU. You can increase the number of baseline slots in a reservation every few minutes. If you want to decrease your baseline slots, you are limited to once an hour if you have recently changed your baseline slot capacity and your baseline slots exceed your committed slots. Otherwise, you can decrease your baseline slots every few minutes.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Last update time of the reservation.","ref":"GoogleApi.BigQueryReservation.V1.Model.Reservation.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.Reservation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.Reservation.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.Reservation.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.Reservation.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.SearchAllAssignmentsResponse","doc":"The response for ReservationService.SearchAllAssignments.","ref":"GoogleApi.BigQueryReservation.V1.Model.SearchAllAssignmentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.SearchAllAssignmentsResponse","doc":"*   `assignments` (*type:* `list(GoogleApi.BigQueryReservation.V1.Model.Assignment.t)`, *default:* `nil`) - List of assignments visible to the user.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.BigQueryReservation.V1.Model.SearchAllAssignmentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.SearchAllAssignmentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.SearchAllAssignmentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.SearchAllAssignmentsResponse.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.SearchAllAssignmentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.SearchAssignmentsResponse","doc":"The response for ReservationService.SearchAssignments.","ref":"GoogleApi.BigQueryReservation.V1.Model.SearchAssignmentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.SearchAssignmentsResponse","doc":"*   `assignments` (*type:* `list(GoogleApi.BigQueryReservation.V1.Model.Assignment.t)`, *default:* `nil`) - List of assignments visible to the user.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.BigQueryReservation.V1.Model.SearchAssignmentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.SearchAssignmentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.SearchAssignmentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.SearchAssignmentsResponse.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.SearchAssignmentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentRequest","doc":"The request for ReservationService.SplitCapacityCommitment.","ref":"GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentRequest","doc":"*   `slotCount` (*type:* `String.t`, *default:* `nil`) - Number of slots in the capacity commitment after the split.","ref":"GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentRequest.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentResponse","doc":"The response for ReservationService.SplitCapacityCommitment.","ref":"GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentResponse","doc":"*   `first` (*type:* `GoogleApi.BigQueryReservation.V1.Model.CapacityCommitment.t`, *default:* `nil`) - First capacity commitment, result of a split.\n*   `second` (*type:* `GoogleApi.BigQueryReservation.V1.Model.CapacityCommitment.t`, *default:* `nil`) - Second capacity commitment, result of a split.","ref":"GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentResponse.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.SplitCapacityCommitmentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.Status","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.BigQueryReservation.V1.Model.Status.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.Status","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.BigQueryReservation.V1.Model.Status.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.Status.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.Status.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.Status.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.Status.html#t:t/0"},{"type":"module","title":"GoogleApi.BigQueryReservation.V1.Model.TableReference","doc":"Fully qualified reference to BigQuery table. Internally stored as google.cloud.bi.v1.BqTableReference.","ref":"GoogleApi.BigQueryReservation.V1.Model.TableReference.html"},{"type":"module","title":"Attributes - GoogleApi.BigQueryReservation.V1.Model.TableReference","doc":"*   `datasetId` (*type:* `String.t`, *default:* `nil`) - The ID of the dataset in the above project.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - The assigned project ID of the project.\n*   `tableId` (*type:* `String.t`, *default:* `nil`) - The ID of the table in the above dataset.","ref":"GoogleApi.BigQueryReservation.V1.Model.TableReference.html#module-attributes"},{"type":"function","title":"GoogleApi.BigQueryReservation.V1.Model.TableReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.BigQueryReservation.V1.Model.TableReference.html#decode/2"},{"type":"type","title":"GoogleApi.BigQueryReservation.V1.Model.TableReference.t/0","doc":"","ref":"GoogleApi.BigQueryReservation.V1.Model.TableReference.html#t:t/0"}],"content_type":"text/markdown","proglang":"elixir","producer":{"name":"ex_doc","version":"0.37.3"}}